Get Layouts and Descriptions for a Specified Object

Retrieves lists of layouts and their descriptions for a single object.

Syntax

URI: /services/data/vXX.X/sobjects/sObject/describe/layouts/

Formats: JSON, XML

HTTP Method: GET

Authentication: Authorization: Bearer token

Parameters: None required

Example

Example Request

curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Battle_Station__c/describe/layouts/ -H "Authorization: Bearer token"

Example Response Body

{
  "layouts" : [ {
    "buttonLayoutSection" : {
      "detailButtons" : [
          ...
      ]
    },
    "detailLayoutSections" : [
        ...
    ],
    "editLayoutSections" : [
        ...
    ],
    "feedView" : null,
    "highlightsPanelLayoutSection" : null,
    "id" : "00ho000000BKMebAAH",
    "multirowEditLayoutSections" : [ ],
    "offlineLinks" : [ ],
    "quickActionList" : {
      "quickActionListItems" : [
          ...
      ]
    },
    "relatedContent" : null,
    "relatedLists" : [
        ...
    ],
    "saveOptions" : [ ]
  } ],
  "recordTypeMappings" : [
      ...
  ],
  "recordTypeSelectorRequired" : [ false ]
}